Subject: Re: [lojban] Re: [jboske] Quantifiers, Existential Import, and all that stuff

From: "Jorge Llambias" <[email-masked]>
Date: Wed, 06 Mar 2002 18:06:11

la pycyn cusku di'e

>Read the whole exchange. The initiator was holding that universal
>affirmatives do not have existential import in logic but their negations 
>do.
>But, he noted, ordinary language is different: the negations of a universal
>need not have existential import -- in the real world.

I don't think he noted that at all. What I understood was that
the fact that "not all Klingons are bad" is true in fiction
should not be confused with a claim that Klingons exist in the
real world. The existential import applies in the fictional
world only, where the sentence is true. No conflict between
logic and ordinary language.

>I merely noted that,
>if you hold that, then the universal being negated does have existential
>import (which the initiator had denied). He gets into a contradiction, 
>from
>which there are several escapes. To be sure, I prefer the one that allows
>importing universals.

Let's see. In the fictional world:

"All Klingons are bad" is false.
"Not all Klingons are bad" is true.

Presumably we all agree about that, since in fiction the set
of Klingons is not empty, and we take it that Worf is not bad.

In non-fiction, since there are no Klingons:

"All Klingons are bad" is true or false according to your predilection.
"Not all Klingons are bad" is false or true respectively.

Now, which contradiction did he get into, and how does
importing universals gets you out of it?

><But {na'e ro} is not a grammatical quantifier.>
>
>True, though hard to work through by hand. I have to get a working parser.
>Too bad, too, because it is less controversial than either {me'i ro} or 
>{da'a
>su'o} . But {na'e bo ra} is too long to be a contender, I fear.

Besides, {na'e bo ro da} is "na'e bo (roda)", not "(na'e bo ro) da".

>What is
>{me'i} implicit number? Damn! {pa}

I echo that. It would have been much better for {me'iro} to
be the default, and {da'asu'o} the default for {da'a}.

Now, forgetting the nonsense that either {su'o lo ro broda}
or {su'o da poi broda} can be used for I- (and correspondingly
for O-) here is a system I can work with:

A+ ro lo su'o broda cu brode
E+ no lo su'o broda cu brode
I+ su'o lo broda cu brode
O+ me'iro lo broda cu brode = da'asu'o lo broda cu brode

A- ro lo broda cu brode
E- no lo broda cu brode
I- naku no lo su'o broda cu brode
O- naku ro lo su'o broda cu brode

[I-]
>Technically it needs
>something like the {me'i ro} of O-, but I haven't come up with a good word
>for it: it seems to cover the entire range of possibilities -- which is
>probably why no one considers it much; {su'o no} is right but endlessly
>confusing.

I think {su'o no} is wrong. {su'o no broda cu brode} is true
when {no broda cu brode} is true, but I- should be false
if there are broda but none of them is brode, i.e. when E+ is true.

>In addition, {ro lo su'o broda} might not include
>all the broda, if you start playing that game, just some number of them 
>(this
>is at least a justified as your notion that {ro} doesn't imply {su'o}).

I don't think it's justified. The "inner quantifier" is the
cardinality of the set. Inner {su'o} says that the set in not empty.
Inner {ro} is tautological, because every set has cardinality {li ro}.

Here are the ways each of the quantifiers can be expressed in
terms of each of the others:

"Contraries":
roda = naku me'iroda
noda = naku su'oda
su'oda = naku noda
me'iroda = naku roda

"Complementaries":
roda = da'anoda
noda = da'aroda
su'oda = da'ame'iroda
me'iroda = da'asu'oda

"Duals":
roda = naku su'oda naku
noda = naku me'iroda naku
su'oda = naku roda naku
me'iroda = naku noda naku

(Warning: I'm not sure that the names of those relationships
are standard, and some of the relationships fail if {ro} is
taken to have existential import.)

mu'o mi'e xorxes

_________________________________________________________________
Join the world’s largest e-mail service with MSN Hotmail. 
http://www.hotmail.com